/* -*- mode: C++; coding: utf-8 -*- */
/*
 *
 *  HARK Middleware
 *  Copyright (C) 2013-2014 by Honda Research Institute Japan Co., Ltd.
 *
 *  $Id:$
 */

#if !defined(HARKMW__NODE_H__INCLUDED)
#define HARKMW__NODE_H__INCLUDED 1

/* Python API */
#include "Python.h"
#include <structmember.h>

/* HARK Base */
#include <hark-base/Node.h>

namespace HARKMW
{
    extern PyTypeObject NodeType;

    struct Node
    {
        PyObject_HEAD
        PyObject *nodeObject;
        HARK::Node *node;
    };

}

#endif /* #if !defined(HARKMW__NODE_H__INCLUDED) */

/* end of file */
